aboutsummaryrefslogtreecommitdiff
path: root/test-scenarios
diff options
context:
space:
mode:
authorJP Ungaretti <19893438+jungaretti@users.noreply.github.com>2022-06-08 21:19:31 +0300
committerGitHub <noreply@github.com>2022-06-08 21:19:31 +0300
commite99bc62ea3ab412708688ddd8ceada0eb8374eaf (patch)
treeb18123364aaf925c21fdd04e5a981763670e581b /test-scenarios
parentb947d0ed35752f432cb87641bd4e10e62cda3ac6 (diff)
Merge JupyterLab feature into Python feature (#40)
* Restructure tools installation * Tweak bash and zsh config * Remove extra space * Update comments * Add option to install JupyterLab * Add option to configure JupyterLab * Add option to install ML packages * Remove deprecated JuptyerLab feature * Add new arguments to Python feature * Remove trailing whitespace * Organize new arguments * Resolve feedback * Create new scenario for JupyterLab * Fix user in JupyterLab scenario * Revert changes to Python test * Remove ML packages * Update test names * Rename CORS option
Diffstat (limited to 'test-scenarios')
-rw-r--r--test-scenarios/install_jupyterlab.sh12
-rw-r--r--test-scenarios/scenarios.json19
2 files changed, 31 insertions, 0 deletions
diff --git a/test-scenarios/install_jupyterlab.sh b/test-scenarios/install_jupyterlab.sh
new file mode 100644
index 0000000..2a4aaa3
--- /dev/null
+++ b/test-scenarios/install_jupyterlab.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+check "version" jupyter lab --version
+check "config" grep ".*.allow_origin = '*'" /home/vscode/.jupyter/jupyter_notebook_config.py
+
+# Report result
+reportResults
diff --git a/test-scenarios/scenarios.json b/test-scenarios/scenarios.json
index e97b853..bbb61e7 100644
--- a/test-scenarios/scenarios.json
+++ b/test-scenarios/scenarios.json
@@ -16,5 +16,24 @@
}
}
]
+ },
+ "install_jupyterlab": {
+ "image": "mcr.microsoft.com/vscode/devcontainers/base:focal",
+ "remoteUser": "vscode",
+ "features": [
+ {
+ "id": "common",
+ "options": {
+ "username": "vscode"
+ }
+ },
+ {
+ "id": "python",
+ "options": {
+ "install_jupyterlab": true,
+ "configure_jupyterlab_allow_origin": "*"
+ }
+ }
+ ]
}
} \ No newline at end of file